/**
 * @file request
 * @author brtc
 */
import axios from 'axios';
import router, {resetRouter} from '@/router/index';

// create an axios instance
const service = axios.create({
    baseURL: '', // url = base url + request url
    withCredentials: true, // send cookies when cross-domain requests
    timeout: 5000 // request timeout
});

// 请求拦截  设置统一header
service.interceptors.request.use(
    config => {
        // if (localStorage.accessToken && localStorage.clientId) {
        //     config.headers['Access-Token'] = localStorage.accessToken;
        //     config.headers['Client-Id'] = localStorage.clientId;
        // }
        return config;
    },
    error => {
        const {status} = error.response;
        if (status === 401) {
            // coding ...

            // 重置路由
            resetRouter();

            // 页面跳转
            router.push('/login');
        }
        return Promise.reject(error);
    }
);

// 响应拦截
service.interceptors.response.use(
    response => {
        // console.log(response, '-----------------------');
        return response;
    },
    error => {
        // 错误提醒
        // const {status} = error.response || {};
        // if (status === 401) {
        //     // coding ...

        //     // 重置路由
        //     resetRouter();

        //     // 页面跳转
        //     router.push('/login');
        // }
        // console.log(error, '-------utils/request.js');
        return Promise.reject(error);
    }
);

export default service;
