/**
 * @file 国际化
 * @author brtc
 */
import Vue from 'vue';
import VueI18n from 'vue-i18n';
import enLocale from './en';
import zhLocale from './zh';
import jaLocale from './ja';
import {getRequestUrl} from '../common/utils';
Vue.use(VueI18n);

const messages = {
    en: {
        ...enLocale
    },
    zh: {
        ...zhLocale
    },
    ja: {
        ...jaLocale
    }
};
console.log(messages);
export function getLanguage() {
    const {lang, r, name, camera, microphone} = getRequestUrl(); // 获取地址栏的参数
    if (r && name && camera && microphone) { // 百度云进入
        // 如果为此三种语言，选对应的语言
        if (lang === 'zh' || lang === 'en' || lang === 'ja') {
            return lang;
        } else { // 其他情况展示中文
            return 'zh';
        }
    } else { // 本地进入只有中文
        return 'zh';
    }
    // 先看local是否存在已选择的语言
    // const chooseLanguage = localStorage.getItem('language');
    // if (chooseLanguage) {
    //     return chooseLanguage;
    // }
    // // if has not choose language
    // const language = (navigator.language || navigator.browserLanguage).toLowerCase();
    // const locales = Object.keys(messages);
    // for (const locale of locales) {
    //     if (language.indexOf(locale) > -1) {
    //         return locale;
    //     }
    // }
    // return 'zh';
}
const i18n = new VueI18n({
    // set locale
    // options: en | zh
    locale: getLanguage(),
    // set locale messages
    messages,
    silentTranslationWarn: true
});

export default i18n;
