/**
 * @file router
 * @author brtc
 */
import Vue from 'vue';
import Router from 'vue-router';
import Home from '@/views/page/Home';
import Join from '@/views/page/Join';
import ErrorVersion from '@/views/page/ErrorVersion';
import DownloadBrowser from '@/views/page/DownloadBrowser';
Vue.use(Router);

// 创建路由实例
const createRouter = () =>
    new Router({
        mode: 'hash',
        // mode: 'history',
        base: process.env.publicPath,
        routes: [
            {
                path: '/',
                redirect: '/home'
            },
            {
                path: '/home',
                name: 'home',
                beforeEnter(to, from, next) {
                    // 在这判断浏览器是否符合规则(符合与否 都要返回浏览器的类型和版本)
                    // if (false) { // 符合
                    //     next();
                    // } else {
                    //     next({
                    //         path: '/errorVersion',
                    //         query: {aaa: 1, bbb: 2}
                    //     });
                    // }
                    next();
                },
                component: Home
            },
            {
                path: '/join',
                name: 'join',
                component: Join
            },
            {
                path: '/errorVersion',
                name: 'errorVersion',
                component: ErrorVersion
            },
            {
                path: '/downloadBrowser',
                name: 'DownloadBrowser',
                component: DownloadBrowser
            }
        ],
        scrollBehavior: () => ({y: 0})
    });

const router = createRouter();
// Detail see: https://github.com/vuejs/vue-router/issues/1234#issuecomment-357941465
export function resetRouter() {
    const newRouter = createRouter();
    router.matcher = newRouter.matcher; // reset router
}

export default router;
