/**
 * @file 视频相关
 * @author brtc
 */
/* eslint-disable */
import * as types from '@/store/types';
import {
    getMeetInfo, // 获取会议信息
    sendLockMeet, // 闭锁房间
    sendJoinMeetInfo // 加入会议
} from './../../api/video';
const state = {
    meetingInfo: {}, // 会议信息
};

const actions = {
    comGetMeetInfo: ({commit}, data) => {
         return getMeetInfo(data).then(res => {
            // console.log(res);
            if (res.status === 200) {
                commit(types.SAVE_MEETING_INFO, res.data.data);
            }
            return res;
        }).catch(err => {
            // alert(err)
            window.$message({
                type: 'error',
                message: err
            });
            // console.log(err, 'store-video');
        });
    },
    comSendLockMeet: ({commit}, data) => {
        return sendLockMeet(data).then(res => {
            return res;
        });
    },
    comSendMeetInfo: ({commit}, data) => {
        return sendJoinMeetInfo(data).then(res => {
            return res;
        });
    }
};

const mutations = {
    [types.SAVE_MEETING_INFO](state, data) {
        state.meetingInfo = data || {};
    }
};

export default {
    namespaced: true,
    state,
    actions,
    mutations
};
